(function($) {
    var zwp_last_id = 0;
    $(document).ready(function(){
        setInterval(function(){
            zwp_get_posts();
        },5000);
    });
    function zwp_get_posts() {
        var data = {
            action: 'zwp_get_posts',
            last_id: zwp_last_id
        };
        $.post(zwp_data.ajax_url, data, function (res) {
            if(res.length > 0){
                var res_str = '';
                res.forEach(function(value,index){
                    if(value.id > zwp_last_id){
                        zwp_last_id = value.id;
                    }
                    res_str += '<tr><td>'+ value.create_date + '</td></tr><tr><td>' + value.post_content + '</td></tr>';
                });
                $('.ZWPC_Widget table').prepend(res_str);
            }
        },'JSON');
    }
    $(".zwp_czat_form").submit(function(e){
        e.preventDefault();
        var post_content = $(".zwp_czat_input");
        if(post_content.val()){
            var data = {
                action: 'zwp_add_post',
                post_content: post_content.val()
            };
            $.post(zwp_data.ajax_url, data, function(res){
                if(res == '0'){
                    console.log('Nie wysłano');
                } else {
                    console.log('Wysłano');
                }
                zwp_get_posts();
            });
            post_content.val("");
        }
    });
})(jQuery);

